Subject: Re: [bug#78332] GCD005: Regular and efficient releases (submitted)

From: Greg Hogan <[email-masked]>
Date: Fri, 20 Jun 2025 11:28:19 -0400

On Fri, Jun 13, 2025 at 2:31 PM Andreas Enge <[email-masked]> wrote:
>
> Am Sat, Jun 07, 2025 at 01:03:10PM +0100 schrieb Steve George:
> > One way to consider that risk is to think about whether a GCD is irreversible (a one-day door). Trying 'regular releases' is not a one-way door. We can try it out, and if it turns out that we can't manage it as a project we'll simply fall back to our current process of irregular releases.
>
> I think you put it very mildly; the real problem of our current process
> is that it apparently has turned into "no releases"... This for me is
> the most important motivation for this GCD, we need some momentum to
> turn around this inertia.

The GCD process is not designed for building momentum but rather for
agreeing on significant changes. From GCD 001:

"""The GCD process is a mechanism to determine whether a proposed
change is *significant* enough to require attention from the community
at large and if so, to provide a documented way to bring about broad
community discussion and to collectively decide on the proposal.

A change may be deemed *significant* when it could only be reverted at
a high cost or, for technical changes, when it has the potential to
disrupt user scripts and programs or user workflows."""

What from GCD 005 is significant by this definition?

Greg